unit SharedADO;
(************************************************************************
sStyle components package 
Copyright (c) 2002 Serge Goncharov. All rights reserved.
                            Ukraine, Odessa
                            http://www.geocities.com/sstylish2002/
                            Serge@HyBce.com
 Version:	1.2, 24-02-2002
*************************************************************************)

interface

uses ADODB, Dialogs, SysUtils;

procedure SelectADOQuery(Query:TADOQuery; Par:string);         //  SQL
procedure ExecuteADOQuery(Query:TADOQuery; Par:string);        //  SQL
function GetMaxADOFieldValue(Query:TADOQuery; TableName, FieldName:string):integer;

implementation

procedure SelectADOQuery(Query:TADOQuery; Par:string);
begin
     Query.DisableControls;
     Query.Close;
     Query.SQL.Text:=Par;
     try begin
        Query.Open;
     end
     except on E: Exception do begin
       MessageDlg('    (' + E.Message + ') :  "'+Query.SQL.Text+'".', mtError, [mbOK], 0);
     end;
     end;
     Query.EnableControls;
end;

procedure ExecuteADOQuery(Query:TADOQuery; Par:string);
begin
     Query.Close;
     Query.SQL.Text:=Par;
     try begin
        Query.ExecSQL;
     end
     except on E: Exception do begin
        MessageDlg('    (' + E.Message + ') :  "'+Query.SQL.Text+'".', mtError, [mbOK], 0);
     end;
     end;
end;
function GetMaxADOFieldValue(Query:TADOQuery; TableName, FieldName:string):integer;
begin
     SelectADOQuery(Query, 'select max('+FieldName+') from '+TableName+';');
     GetMaxADOFieldValue:=Query.Fields[0].asInteger;
end;


end.
